import java.util.StringTokenizer;

public class StringTokenizerTest {
	public static void main(String[] args) {
		String str = "public static void main(String[] args) {";
		StringTokenizer st1 = new StringTokenizer(str); //⺻ и " \t\n\r\f":
		printToken(st1);
		StringTokenizer st2 = new StringTokenizer(str, " ()");
		printToken(st2);
		StringTokenizer st3 = new StringTokenizer(str, " ()[]{");
		printToken(st3);
		//ū иڿ  
		StringTokenizer st4 = new StringTokenizer(str, "()[]{", true);
		printToken(st4);
		StringTokenizer st5 = new StringTokenizer(str); //⺻ и " \t\n\r\f":
		printToken(st5, "()");
	}
	public static void printToken(StringTokenizer st) {
		System.out.println("ū : " + st.countTokens());
		int cnt = 0;
		while (st.hasMoreTokens()) {
			System.out.print(++cnt + ". " + st.nextToken() + " ");
		}
		System.out.println();
	}
	public static void printToken(StringTokenizer st, String delim) {
		int cnt = 0;
		while (st.hasMoreTokens()) {
			System.out.print(++cnt + ". " + st.nextToken(delim) + " ");
		}
		System.out.println();
	}
}
