package chat;

import java.io.*;
import java.net.*;

public class ChatServer {
	int port = 7070;
	ServerSocket server;
	Socket socket;
	
	public ChatServer (int port) {
		this.port = port;
		System.out.println(">>  մϴ.");
		try {
			server = new ServerSocket(port);
		} catch (IOException e) {
			e.printStackTrace();			
		}
	}
	
	public void communicate() {
		System.out.println(">> Ŭ̾Ʈ ϱ ٸ ֽϴ.");
		try {
			// Ŭ̾Ʈ Ӷ 
			socket = server.accept(); 
			printInfo();
			// Ͽ Է°   sender receiver 
			MsgSender sender = new MsgSender("", socket);
			MsgReceiver receiver = new MsgReceiver("", socket);
			//sender receiver 带 
			receiver.start();
			sender.start();
		} catch (IOException e) {
			e.printStackTrace();			
		}
	}
	
	public void close() {
		try {
			// Ŭ̾Ʈ  
			socket.close();		
		} catch(IOException e) {
			e.printStackTrace();			
		}
	}

	public void printInfo() {
		System.out.println(">> Ŭ̾Ʈ ӿ ߽ϴ.");
		// Ʈ ȣ Ŭ̾Ʈ ּҿ Ʈȣ 
		System.out.println("      Ʈȣ: " + socket.getLocalPort());
		System.out.println("     Ŭ̾Ʈ ּ: " + socket.getInetAddress());
		System.out.println("     Ŭ̾Ʈ Ʈȣ: " + socket.getPort() + '\n');
		System.out.println(">> Ŭ̾Ʈ  ޽  Enter ." + '\n');
	}
	
	public static void main(String[] args) {
		int port = 7070;			
		ChatServer myServer = new ChatServer(port);
		myServer.communicate();
	}
}